Subject: Re: [EN] NNCP 7.1.0 release announcement

From: John Goerzen <[email-masked]>
Date: Mon, 05 Jul 2021 16:26:33 -0500

I spoke too soon on the stdin.

It appears to be truncating certain small files.  I am wrapping 
everything in gpg, and it is detecting truncation during 
verification (or the decrypted data is truncated).  This is with 
nncp-file -

Thanks again,

John

On Mon, Jul 05 2021, John Goerzen wrote:

> Hi Sergey,
>
> Wow, there's a lot exciting in here!
>
> The stdin looks better - thanks!
>
> I've got a weird nncp-toss issue now, when dealing with received 
> files.
>
> It looks like this:
>
> Jul  5 15:48:19 datavac nncp-toss[4041]: 2021-07-05T20:48:19Z 
> Got file hi (3 B)
> from alexandria
> Jul  5 15:48:19 datavac nncp-toss[4041]: 2021-07-05T20:48:19Z 
> ERROR Tossing file
> alexandria/ZEQV4GZMI2NZJJ5RSJTV245C35UZ3BT4K2I4VXOTTGP62XKFSISA 
> (3 B):
> ZEQV4GZMI2NZJJ5RSJTV245C35UZ3BT4K2I4VXOTTGP62XKFSISA: 
> dirsyncing: open
> ZEQV4GZMI2NZJJ5RSJTV245C35UZ3BT4K2I4VXOTTGP62XKFSISA: no such 
> file or directory
>
> Now, nncp-toss here is being run from systemd like so:
>
> /usr/local/nncp/bin/nncp-toss -noprogress -cycle 30 -seen
>
> If I leave off -seen, then it tosses properly.  (This also goes 
> for running
> directly from the command line).
>
> Something about -seen is causing it to break here.
>
> It does actually deliver the file... but it does it again and 
> again, on every
> toss, due to that error.
>
> Thanks,
>
> - John
>
> On Sun, Jul 04 2021, Sergey Matveev wrote:
>
>> I am pleased to announce NNCP 7.1.0 release availability!
>>
>> NNCP (Node to Node copy) is a collection of utilities 
>> simplifying
>> secure store-and-forward files and mail exchanging.
>>
>> This utilities are intended to help build up small size (dozens 
>> of
>> nodes) ad-hoc friend-to-friend (F2F) statically routed darknet
>> delay-tolerant networks for fire-and-forget secure reliable 
>> files, file
>> requests, Internet mail and commands transmission. All packets 
>> are
>> integrity checked, end-to-end encrypted (E2EE), explicitly 
>> authenticated
>> by known participants public keys. Onion encryption is applied 
>> to
>> relayed packets. Each node acts both as a client and server, 
>> can use
>> push and poll behaviour model. Also there is multicasting areas 
>> support.
>>
>> Out-of-box offline sneakernet/floppynet, dead drops, sequential 
>> and
>> append-only CD-ROM/tape storages, air-gapped computers support. 
>> But
>> online TCP daemon with full-duplex resumable data transmission 
>> exists.
>>
>> ------------------------ >8 ------------------------
>>
>> The main improvements for that release are:
>>
>> * Multicasting areas feature appeared.  Implemented merely by 
>> an
>>   additional plain packet type with "nncp-toss", "nncp-file" 
>>   and
>>   "nncp-exec" commands modification.
>>   http://www.nncpgo.org/Release-7_005f1_005f0.html
>>
>> * Fixed workability of "nncp-file" and "nncp-exec" commands, 
>> that use
>>   temporary file (stdin and "-use-tmp").
>>
>> * Fixed disappearing bad return code in "nncp-exec" command.
>>
>> * Fixed invalid ".hdr" generation when transitional packets are 
>> used.
>>
>> * "-all" option appeared in "nncp-rm" command, applying to all 
>> the
>>   nodes at once.
>>
>> * "-cycle" option appeared in "nncp-check" command, looping the 
>> check
>>   in infinite cycle.
>>
>> * "nncp-rm" command can take node alias name.
>>
>> * "nncp-pkt" can parse ".hdr" files.
>>
>> ------------------------ >8 ------------------------
>>
>> NNCP's home page is: http://www.nncpgo.org/
>>
>> Source code and its signature for that version can be found 
>> here:
>>
>>     http://www.nncpgo.org/download/nncp-7.1.0.tar.xz (1142 KiB)
>>     http://www.nncpgo.org/download/nncp-7.1.0.tar.xz.sig
>>
>> SHA256 hash: D3BC010F 5D86BB59 E07A2A84 2FF9C73B 4C2F780B 
>> 807EF25C E4BC477C
>> E40764A6
>> GPG key ID: 0x2B25868E75A1A953 NNCP releases 
>> <[email-masked]>
>> Fingerprint: 92C2 F0AE FE73 208E 46BF  F3DE 2B25 868E 75A1 A953
>>
>> Please send questions regarding the use of NNCP, bug reports 
>> and patches
>> to mailing list: 
>> http://lists.cypherpunks.ru/nncp_002ddevel.html